/* 子元素居中 */
/* 全局样式 */
body {
  font-family: 'SIYUAN';
}
.children-center {
  display: flex;
  justify-content: center;
  align-items: center;
  line-height: 32px;
}

.children-left-center {
  display: flex;
  justify-content: left;
  align-items: center;
}

/* 文字超出自动省略 */
.word-omit {
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

/* 白色卡片 */
.white-card {
  background-color: #fff;
  border-radius: 5px;
  width: 100%;
  position: relative;
}

/* 头部右边插槽进来的样式 */
.head-right {
  font-size: 14px;
  padding-right: 10px
}


.blue-color {
  color: #45c2fd;
}

.green-color {
  color: #45b333;
}

.gery-color {
  color: #8a8080;
}

.yellow-color {
  color: #f8f032;
}

.light-green-color {
  color: #03d39a;
}

.black-color {
  color: #000;
}

.gray-color {
  color: #9f9f9f;
}

.red-color {
  color: #f98b81;
}

.orange-color {
  color: #fd7b2f;
}

.ico-orange {
  color: #fd7b2f;
}

.ico-red {
  color: #f98b81;
}

.ico-green {
  color: #2db9bd;
}

.ico-light-green {
  color: #03d39a;
}

.ico-blue {
  color: #45c2fd;
}

.bg-green {
  background-color: #45b333;
}

.bg-light-green {
  background-color: #7ccb6f;
}

.bg-grey {
  background-color: #c9c9c9;
}

.bg-blue {
  background-color: #48cdb1;
}

/* 预设字色 */
.text-info {
  color: #1699fb
}

.text-grey {
  color: grey;
}

.text-plus {
  color: #ff5f3f;
}

.text-minus {
  color: #c0a996;
}

.text-grey-light {
  color: #999999;
}

.text-grey-lighter {
  color: #cbcbcb;
}

.text-grey-thick {
  color: #5c6681;
}

.text-blue {
  color: #05b8fd;
}

.text-center {
  text-align: center;
}

.text-ellipsis {
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
}

/*边线*/
.solid-line-top {
  border-top: 1px solid #f3f3f3;
}

.solid-line-bottom {
  border-bottom: 1px solid #f3f3f3;
}

/*按钮*/
/*<a class="btn">保存</a>*/
/*<div style="height: 40px">普通</div>*/
/*<a class="btn btn-lg">保存</a>*/
/*<a class="btn btn-md">保存</a>*/
/*<a class="btn btn-sm">保存</a>*/
/*<div style="height: 40px">幽灵</div>*/
/*<a class="btn btn-lg btn-ghost">保存</a>*/
/*<a class="btn btn-md btn-ghost">保存</a>*/
/*<a class="btn btn-sm btn-ghost">保存</a>*/

/*<div style="height: 40px">圆角</div>*/
/*<a class="btn btn-lg btn-round">保存</a>*/
/*<a class="btn btn-md btn-round">保存</a>*/
/*<a class="btn btn-sm btn-round">保存</a>*/

/*<div style="height: 40px">渐变</div>*/
/*<a class="btn btn-lg btn-round bg-gradual-blue ">保存</a>*/
/*<a class="btn btn-md btn-round bg-gradual-blue">保存</a>*/
/*<a class="btn btn-sm btn-round bg-gradual-blue ">保存</a>*/
.btn {
  padding: 0 20px;
  line-height: 36px;
  color: white;
  font-size: 16px;
  display: inline-block;
  text-align: center;
  text-decoration: none;
  box-shadow: 0px 3px 10px 0px #517bfb66;
  border-radius: 8px;
}

/* 按钮 */
.save-btn {
  margin: 0px auto;
  width: 100%;
  /*height: 42px;*/
  /*line-height: 42px;*/
  padding: 2px 0;
}

/*.btn-green:active {*/
/*  background-image: -webkit-linear-gradient(left, #00a2a7, #00b887 50%);*/
/*}*/
.btn-green:active {
  background-image: -webkit-linear-gradient(left, #1a6a04, #1a6a04 50%);
}

.btn-green {
  background-image: -webkit-linear-gradient(left, #45b333, #45b333 80%);
}

.btn2{
  padding: 0 20px;
  line-height: 36px;
  color: white;
  font-size: 16px;
  display: inline-block;
  text-align: center;
  text-decoration: none;
  box-shadow: 0px 3px 10px 0px #517bfb66;
  border-radius: 18px;
}
.btn2:active{
  background-image: -webkit-linear-gradient(left, #00a2a7, #00b887 50% );
}

.btn-blue{
  background-image: -webkit-linear-gradient(left, #00b7bd , #00d29a 80% );
}

.btn-transform-green{
  background-image: -webkit-linear-gradient(left, #34ff9c , #48cdb1 80% );
}

.btn-orange {
  background-image: -webkit-linear-gradient(left, #f09d1b, #f09d1b 80%);
}

.btn-orange:active {
  background-image: -webkit-linear-gradient(left, #ffab25, #fd7b2f 50%);
}

/*.btn:active{*/
/*background-image: -webkit-linear-gradient(left top, #1087df , #0d7de4 80% );*/
/*color: white;*/
/*}*/

.btn-sm {
  font-size: 12px;
  line-height: 20px;
  padding: 0 10px;
}


.btn-md {
  font-size: 14px;
  line-height: 30px;
  padding: 0 20px;
}

.btn-lg {
  font-size: 16px;
  line-height: 45px;
  padding: 0 30px;
}

.btn-ghost {
  background: none;
  border: 1px solid #517bfb;
  color: #517bfb;
}

.btn-round {
  border-radius: 40px;
}

.bg-gradual-blue {
  background-color: #517bfb;
}

.btn-block {
  display: block;
}

.bg-white {
  background: white;
}

.bg-ghost {
  background: #f3f4f4;
}

.border-round-5 {
  border-radius: 5px;
}

/* a标签 */
a:hover,
a:focus {
  text-decoration: none;
}

.card-shadow {
  box-shadow: 0 1px 10px 0px rgba(0, 0, 0, 0.05);
}

.popups-close-btn {
  position: absolute;
  right: 10px;
  top: 10px;
  font-size: 30px
}
